Infront Data Manager Connect Client (.NET)

Public Member Functions | Properties | List of all members
Gevasys.DataCore.Core.Protocol.RequestStatusMessage Class Reference

Class that represents a status message. Status messages can be received at any time and sent by the server in the case of a not allowed operations or a failure. More...

Inherits Gevasys.DataCore.Core.Protocol.UpdateMessage.

## Public Member Functions
| RequestStatusMessage (BaseBinaryMessage.MessageType messageType)
| Default constructor. More...
short | GetRequestStatus ()
| Gets the request status. More...
Public Member Functions inherited from Gevasys.DataCore.Core.Protocol.UpdateMessage
| UpdateMessage (BaseBinaryMessage.MessageType messageType)
| Default constructor. More...
void | AddAll (List< BaseField > fields)
| Adds a list of BaseFields to the message. More...
string | GetInstrument ()
| Gets the vwd code of the message. More...
BaseField | GetField (short fieldId)
| Gets a field from the update message. More...
bool | TryGetField (short fieldId, out BaseField field)
| Gets a field from the message. More...
string | toString ()
| Gets all fields of this message in csv format (semicolon separated). More...
String | toMachineReadableOutput ()
| Gets the content of the message in csv format (semicolon separated). More...

## Properties
RequestStatusType | Status`[get]`
| The request status. See also <font color="#2B91AF" size="2" face="Consolas"><font color="#2B91AF" size="2" face="Consolas"><font color="#2B91AF" size="2" face="Consolas">RequestStatusType enumeration.</font></font></font> More...
Properties inherited from Gevasys.DataCore.Core.Protocol.UpdateMessage
BaseBinaryMessage.MessageType | MessageType`[get]`
Dictionary< short, BaseField > | FieldDict`[get]`

## Detailed Description

Class that represents a status message. Status messages can be received at any time and sent by the server in the case of a not allowed operations or a failure.

Process a status message in the Push Client.

public override void ProcessUpdates(List<Gevasys.DataCore.Core.Protocol.UpdateMessage> updates)
{
foreach (UpdateMessage update in updates)
{
switch (update.MessageType)
{
case BaseBinaryMessage.MessageType.RequestStatus:
if (((RequestStatusMessage)update).Status == RequestStatusType.NotDefined)
{
Console.WriteLine("Instrument not definied: " + update.GetInstrument());
}
else if (((RequestStatusMessage)update).Status == RequestStatusType.NoPermission)
{
Console.WriteLine("No permission for instrument: " + update.GetInstrument());
}
else if (((RequestStatusMessage)update).Status == RequestStatusType.NotFound)
{
Console.WriteLine("Instrument not found: " + update.GetInstrument());
}
else if (((RequestStatusMessage)update).Status == RequestStatusType.ServiceNotAvailable)
{
Console.WriteLine("Underlying data service is not available");
}
break;
default:
break;
}
}
}

## Constructor & Destructor Documentation

## ◆ RequestStatusMessage()

Gevasys.DataCore.Core.Protocol.RequestStatusMessage.RequestStatusMessage | ( | BaseBinaryMessage.MessageType | messageType | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ GetRequestStatus()

short Gevasys.DataCore.Core.Protocol.RequestStatusMessage.GetRequestStatus | ( |  | ) |
| inline

Gets the request status.

Returns
  The requets status as an short.

## Property Documentation

## ◆ Status

RequestStatusType Gevasys.DataCore.Core.Protocol.RequestStatusMessage.Status
| get

The request status. See also <font color="#2B91AF" size="2" face="Consolas"><font color="#2B91AF" size="2" face="Consolas"><font color="#2B91AF" size="2" face="Consolas">RequestStatusType enumeration.</font></font></font>

The request status.

RequestStatusType

The documentation for this class was generated from the following file:

- RequestStatusMessage.cs

Gevasys.DataCore.Core.Protocol.RequestStatusMessage.Status
RequestStatusType Status
The request status. See also <font color="#2B91AF" size="2" face="Consolas"><font color="#2B91AF" siz...
Definition: RequestStatusMessage.cs:51
Gevasys.DataCore.Core.Protocol.UpdateMessage.UpdateMessage
UpdateMessage(BaseBinaryMessage.MessageType messageType)
Default constructor.
Definition: UpdateMessage.cs:26
Gevasys.DataCore.Core.Protocol.RequestStatusMessage.RequestStatusMessage
RequestStatusMessage(BaseBinaryMessage.MessageType messageType)
Default constructor.
Definition: RequestStatusMessage.cs:59

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1